diff --git a/config/rootfiles/packages/libstatgrab b/config/rootfiles/packages/libstatgrab
index 2c61411..cebfb4a 100644
--- a/config/rootfiles/packages/libstatgrab
+++ b/config/rootfiles/packages/libstatgrab
@@ -3,33 +3,123 @@ usr/bin/statgrab
 #usr/bin/statgrab-make-mrtg-config
 #usr/bin/statgrab-make-mrtg-index
 #usr/include/statgrab.h
-#usr/include/statgrab_deprecated.h
 #usr/lib/libstatgrab.a
 #usr/lib/libstatgrab.la
 #usr/lib/libstatgrab.so
-usr/lib/libstatgrab.so.6
-usr/lib/libstatgrab.so.6.2.3
+usr/lib/libstatgrab.so.10
+usr/lib/libstatgrab.so.10.0.0
 #usr/lib/pkgconfig/libstatgrab.pc
+#usr/share/doc/libstatgrab
+#usr/share/doc/libstatgrab/AUTHORS
+#usr/share/doc/libstatgrab/COPYING
+#usr/share/doc/libstatgrab/COPYING.LGPL
+#usr/share/doc/libstatgrab/NEWS
+#usr/share/doc/libstatgrab/PLATFORMS
+#usr/share/doc/libstatgrab/README
 #usr/share/man/man1/saidar.1
 #usr/share/man/man1/statgrab-make-mrtg-config.1
 #usr/share/man/man1/statgrab-make-mrtg-index.1
 #usr/share/man/man1/statgrab.1
+#usr/share/man/man3/libstatgrab.3
+#usr/share/man/man3/sg_clear_error.3
+#usr/share/man/man3/sg_comp_destroy.3
+#usr/share/man/man3/sg_comp_get_tls.3
+#usr/share/man/man3/sg_comp_init.3
+#usr/share/man/man3/sg_disk_io_compare_name.3
+#usr/share/man/man3/sg_disk_io_compare_traffic.3
+#usr/share/man/man3/sg_drop_privileges.3
+#usr/share/man/man3/sg_free_cpu_stats.3
+#usr/share/man/man3/sg_free_disk_io_stats.3
+#usr/share/man/man3/sg_free_fs_stats.3
+#usr/share/man/man3/sg_free_host_info.3
+#usr/share/man/man3/sg_free_load_stats.3
+#usr/share/man/man3/sg_free_mem_stats.3
+#usr/share/man/man3/sg_free_network_iface_stats.3
+#usr/share/man/man3/sg_free_network_io_stats.3
+#usr/share/man/man3/sg_free_page_stats.3
+#usr/share/man/man3/sg_free_process_count.3
+#usr/share/man/man3/sg_free_stats_buf.3
+#usr/share/man/man3/sg_free_swap_stats.3
+#usr/share/man/man3/sg_free_user_stats.3
+#usr/share/man/man3/sg_fs_compare_device_name.3
+#usr/share/man/man3/sg_fs_compare_mnt_point.3
 #usr/share/man/man3/sg_get_cpu_percents.3
+#usr/share/man/man3/sg_get_cpu_percents_of.3
+#usr/share/man/man3/sg_get_cpu_percents_r.3
 #usr/share/man/man3/sg_get_cpu_stats.3
 #usr/share/man/man3/sg_get_cpu_stats_diff.3
+#usr/share/man/man3/sg_get_cpu_stats_diff_between.3
+#usr/share/man/man3/sg_get_cpu_stats_r.3
 #usr/share/man/man3/sg_get_disk_io_stats.3
 #usr/share/man/man3/sg_get_disk_io_stats_diff.3
+#usr/share/man/man3/sg_get_disk_io_stats_diff_between.3
+#usr/share/man/man3/sg_get_disk_io_stats_r.3
+#usr/share/man/man3/sg_get_error.3
+#usr/share/man/man3/sg_get_error_arg.3
+#usr/share/man/man3/sg_get_error_details.3
+#usr/share/man/man3/sg_get_error_errno.3
 #usr/share/man/man3/sg_get_fs_stats.3
+#usr/share/man/man3/sg_get_fs_stats_diff.3
+#usr/share/man/man3/sg_get_fs_stats_diff_between.3
+#usr/share/man/man3/sg_get_fs_stats_r.3
 #usr/share/man/man3/sg_get_host_info.3
+#usr/share/man/man3/sg_get_host_info_r.3
 #usr/share/man/man3/sg_get_load_stats.3
+#usr/share/man/man3/sg_get_load_stats_r.3
 #usr/share/man/man3/sg_get_mem_stats.3
+#usr/share/man/man3/sg_get_mem_stats_r.3
+#usr/share/man/man3/sg_get_nelements.3
 #usr/share/man/man3/sg_get_network_iface_stats.3
+#usr/share/man/man3/sg_get_network_iface_stats_r.3
 #usr/share/man/man3/sg_get_network_io_stats.3
 #usr/share/man/man3/sg_get_network_io_stats_diff.3
+#usr/share/man/man3/sg_get_network_io_stats_diff_between.3
+#usr/share/man/man3/sg_get_network_io_stats_r.3
 #usr/share/man/man3/sg_get_page_stats.3
 #usr/share/man/man3/sg_get_page_stats_diff.3
+#usr/share/man/man3/sg_get_page_stats_diff_between.3
+#usr/share/man/man3/sg_get_page_stats_r.3
 #usr/share/man/man3/sg_get_process_count.3
+#usr/share/man/man3/sg_get_process_count_of.3
+#usr/share/man/man3/sg_get_process_count_r.3
 #usr/share/man/man3/sg_get_process_stats.3
+#usr/share/man/man3/sg_get_process_stats_r.3
 #usr/share/man/man3/sg_get_swap_stats.3
+#usr/share/man/man3/sg_get_swap_stats_r.3
 #usr/share/man/man3/sg_get_user_stats.3
+#usr/share/man/man3/sg_get_user_stats_r.3
+#usr/share/man/man3/sg_get_valid_filesystems.3
+#usr/share/man/man3/sg_global_lock.3
+#usr/share/man/man3/sg_global_unlock.3
+#usr/share/man/man3/sg_init.3
+#usr/share/man/man3/sg_internal-intro.3
+#usr/share/man/man3/sg_intro.3
+#usr/share/man/man3/sg_lock_mutex.3
+#usr/share/man/man3/sg_network_iface_compare_name.3
+#usr/share/man/man3/sg_network_io_compare_name.3
+#usr/share/man/man3/sg_process_compare_cpu.3
+#usr/share/man/man3/sg_process_compare_gid.3
+#usr/share/man/man3/sg_process_compare_name.3
+#usr/share/man/man3/sg_process_compare_pid.3
+#usr/share/man/man3/sg_process_compare_res.3
+#usr/share/man/man3/sg_process_compare_size.3
+#usr/share/man/man3/sg_process_compare_time.3
+#usr/share/man/man3/sg_process_compare_uid.3
+#usr/share/man/man3/sg_prove_vector.3
+#usr/share/man/man3/sg_set_error.3
+#usr/share/man/man3/sg_set_error_with_errno.3
+#usr/share/man/man3/sg_set_error_with_errno_code.3
+#usr/share/man/man3/sg_set_valid_filesystems.3
+#usr/share/man/man3/sg_shutdown.3
+#usr/share/man/man3/sg_snapshot.3
+#usr/share/man/man3/sg_str_error.3
+#usr/share/man/man3/sg_strperror.3
+#usr/share/man/man3/sg_unlock_mutex.3
+#usr/share/man/man3/sg_vector_clear.3
+#usr/share/man/man3/sg_vector_clone.3
+#usr/share/man/man3/sg_vector_clone_into.3
+#usr/share/man/man3/sg_vector_compute_diff.3
+#usr/share/man/man3/sg_vector_create.3
+#usr/share/man/man3/sg_vector_free.3
+#usr/share/man/man3/sg_vector_resize.3
 #usr/share/man/man3/statgrab.3
diff --git a/lfs/libstatgrab b/lfs/libstatgrab
index 2e673ee..8e62b41 100644
--- a/lfs/libstatgrab
+++ b/lfs/libstatgrab
@@ -1,6 +1,21 @@
 ###############################################################################
-# IPFire.org    - An Open Source Firewall Solution                            #
-# Copyright (C) - IPFire Development Team <info@ipfire.org>                   #
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2018  IPFire Team  <info@ipfire.org>                          #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
 ###############################################################################
 
 ###############################################################################
@@ -9,7 +24,7 @@
 
 include Config
 
-VER        = 0.17
+VER        = 0.91
 
 THISAPP    = libstatgrab-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -17,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = libstatgrab
-PAK_VER    = 1
+PAK_VER    = 2
 
 DEPS       = ""
 
@@ -29,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 58385c9392898be3b09ffc5e3ebe8717
+$(DL_FILE)_MD5 = b906d312076ca9be3d5188edfe07f496
 
 install : $(TARGET)
 
@@ -62,9 +77,10 @@ $(subst %,%_MD5,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-	$(UPDATE_AUTOMAKE)
 	cd $(DIR_APP) && ./configure --prefix=/usr
+
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
+
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)