diff --git a/config/rootfiles/packages/libvirt b/config/rootfiles/packages/libvirt
index 30b9d13..633febf 100644
--- a/config/rootfiles/packages/libvirt
+++ b/config/rootfiles/packages/libvirt
@@ -62,19 +62,19 @@ usr/bin/virt-xml-validate
 #usr/lib/libvirt-admin.la
 #usr/lib/libvirt-admin.so
 usr/lib/libvirt-admin.so.0
-usr/lib/libvirt-admin.so.0.4006.0
+usr/lib/libvirt-admin.so.0.4010.0
 #usr/lib/libvirt-lxc.la
 #usr/lib/libvirt-lxc.so
 usr/lib/libvirt-lxc.so.0
-usr/lib/libvirt-lxc.so.0.4006.0
+usr/lib/libvirt-lxc.so.0.4010.0
 #usr/lib/libvirt-qemu.la
 #usr/lib/libvirt-qemu.so
 usr/lib/libvirt-qemu.so.0
-usr/lib/libvirt-qemu.so.0.4006.0
+usr/lib/libvirt-qemu.so.0.4010.0
 #usr/lib/libvirt.la
 #usr/lib/libvirt.so
 usr/lib/libvirt.so.0
-usr/lib/libvirt.so.0.4006.0
+usr/lib/libvirt.so.0.4010.0
 #usr/lib/libvirt/connection-driver
 #usr/lib/libvirt/connection-driver/libvirt_driver_interface.la
 usr/lib/libvirt/connection-driver/libvirt_driver_interface.so
@@ -120,171 +120,171 @@ usr/sbin/virtlogd
 #usr/share/augeas/lenses/tests/test_virtlogd.aug
 #usr/share/augeas/lenses/virtlockd.aug
 #usr/share/augeas/lenses/virtlogd.aug
-#usr/share/doc/libvirt-4.6.0
-#usr/share/doc/libvirt-4.6.0/html
-#usr/share/doc/libvirt-4.6.0/html/32favicon.png
-#usr/share/doc/libvirt-4.6.0/html/404.html
-#usr/share/doc/libvirt-4.6.0/html/acl.html
-#usr/share/doc/libvirt-4.6.0/html/aclpolkit.html
-#usr/share/doc/libvirt-4.6.0/html/api.html
-#usr/share/doc/libvirt-4.6.0/html/api_extension.html
-#usr/share/doc/libvirt-4.6.0/html/apps.html
-#usr/share/doc/libvirt-4.6.0/html/architecture.gif
-#usr/share/doc/libvirt-4.6.0/html/architecture.html
-#usr/share/doc/libvirt-4.6.0/html/auditlog.html
-#usr/share/doc/libvirt-4.6.0/html/auth.html
-#usr/share/doc/libvirt-4.6.0/html/bindings.html
-#usr/share/doc/libvirt-4.6.0/html/bugs.html
-#usr/share/doc/libvirt-4.6.0/html/cgroups.html
-#usr/share/doc/libvirt-4.6.0/html/compiling.html
-#usr/share/doc/libvirt-4.6.0/html/contact.html
-#usr/share/doc/libvirt-4.6.0/html/contribute.html
-#usr/share/doc/libvirt-4.6.0/html/csharp.html
-#usr/share/doc/libvirt-4.6.0/html/dbus.html
-#usr/share/doc/libvirt-4.6.0/html/devguide.html
-#usr/share/doc/libvirt-4.6.0/html/docs.html
-#usr/share/doc/libvirt-4.6.0/html/downloads.html
-#usr/share/doc/libvirt-4.6.0/html/drivers.html
-#usr/share/doc/libvirt-4.6.0/html/drvbhyve.html
-#usr/share/doc/libvirt-4.6.0/html/drvesx.html
-#usr/share/doc/libvirt-4.6.0/html/drvhyperv.html
-#usr/share/doc/libvirt-4.6.0/html/drvlxc.html
-#usr/share/doc/libvirt-4.6.0/html/drvnodedev.html
-#usr/share/doc/libvirt-4.6.0/html/drvopenvz.html
-#usr/share/doc/libvirt-4.6.0/html/drvphyp.html
-#usr/share/doc/libvirt-4.6.0/html/drvqemu.html
-#usr/share/doc/libvirt-4.6.0/html/drvremote.html
-#usr/share/doc/libvirt-4.6.0/html/drvtest.html
-#usr/share/doc/libvirt-4.6.0/html/drvuml.html
-#usr/share/doc/libvirt-4.6.0/html/drvvbox.html
-#usr/share/doc/libvirt-4.6.0/html/drvvirtuozzo.html
-#usr/share/doc/libvirt-4.6.0/html/drvvmware.html
-#usr/share/doc/libvirt-4.6.0/html/drvxen.html
-#usr/share/doc/libvirt-4.6.0/html/errors.html
-#usr/share/doc/libvirt-4.6.0/html/firewall.html
-#usr/share/doc/libvirt-4.6.0/html/fonts
-#usr/share/doc/libvirt-4.6.0/html/fonts/LICENSE.md
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-bold-italic.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-bold.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-italic.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-light-italic.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-light.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-mono-bold.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-mono-light.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-mono-regular.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-mono-semibold.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/overpass-regular.woff
-#usr/share/doc/libvirt-4.6.0/html/fonts/stylesheet.css
-#usr/share/doc/libvirt-4.6.0/html/format.html
-#usr/share/doc/libvirt-4.6.0/html/formatcaps.html
-#usr/share/doc/libvirt-4.6.0/html/formatdomain.html
-#usr/share/doc/libvirt-4.6.0/html/formatdomaincaps.html
-#usr/share/doc/libvirt-4.6.0/html/formatnetwork.html
-#usr/share/doc/libvirt-4.6.0/html/formatnode.html
-#usr/share/doc/libvirt-4.6.0/html/formatnwfilter.html
-#usr/share/doc/libvirt-4.6.0/html/formatsecret.html
-#usr/share/doc/libvirt-4.6.0/html/formatsnapshot.html
-#usr/share/doc/libvirt-4.6.0/html/formatstorage.html
-#usr/share/doc/libvirt-4.6.0/html/formatstorageencryption.html
-#usr/share/doc/libvirt-4.6.0/html/generic.css
-#usr/share/doc/libvirt-4.6.0/html/goals.html
-#usr/share/doc/libvirt-4.6.0/html/governance.html
-#usr/share/doc/libvirt-4.6.0/html/hacking.html
-#usr/share/doc/libvirt-4.6.0/html/hooks.html
-#usr/share/doc/libvirt-4.6.0/html/html
-#usr/share/doc/libvirt-4.6.0/html/html/home.png
-#usr/share/doc/libvirt-4.6.0/html/html/index.html
-#usr/share/doc/libvirt-4.6.0/html/html/left.png
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-common.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-domain-snapshot.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-domain.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-event.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-host.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-interface.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-network.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-nodedev.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-nwfilter.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-secret.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-storage.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-libvirt-stream.html
-#usr/share/doc/libvirt-4.6.0/html/html/libvirt-virterror.html
-#usr/share/doc/libvirt-4.6.0/html/html/right.png
-#usr/share/doc/libvirt-4.6.0/html/html/up.png
-#usr/share/doc/libvirt-4.6.0/html/hvsupport.html
-#usr/share/doc/libvirt-4.6.0/html/index.html
-#usr/share/doc/libvirt-4.6.0/html/internals
-#usr/share/doc/libvirt-4.6.0/html/internals.html
-#usr/share/doc/libvirt-4.6.0/html/internals/command.html
-#usr/share/doc/libvirt-4.6.0/html/internals/eventloop.html
-#usr/share/doc/libvirt-4.6.0/html/internals/locking.html
-#usr/share/doc/libvirt-4.6.0/html/internals/oomtesting.html
-#usr/share/doc/libvirt-4.6.0/html/internals/rpc.html
-#usr/share/doc/libvirt-4.6.0/html/java.html
-#usr/share/doc/libvirt-4.6.0/html/libvirt-daemon-arch.png
-#usr/share/doc/libvirt-4.6.0/html/libvirt-driver-arch.png
-#usr/share/doc/libvirt-4.6.0/html/libvirt-object-model.png
-#usr/share/doc/libvirt-4.6.0/html/libvirt.css
-#usr/share/doc/libvirt-4.6.0/html/locking-lockd.html
-#usr/share/doc/libvirt-4.6.0/html/locking-sanlock.html
-#usr/share/doc/libvirt-4.6.0/html/locking.html
-#usr/share/doc/libvirt-4.6.0/html/logging.html
-#usr/share/doc/libvirt-4.6.0/html/logos
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-dark-256.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-dark-800.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-dark.svg
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-light-256.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-light-800.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-banner-light.svg
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-base.svg
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-128.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-192.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-256.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-96.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-powered-128.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-powered-192.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-powered-256.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-powered-96.png
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square-powered.svg
-#usr/share/doc/libvirt-4.6.0/html/logos/logo-square.svg
-#usr/share/doc/libvirt-4.6.0/html/main.css
-#usr/share/doc/libvirt-4.6.0/html/migration-managed-direct.png
-#usr/share/doc/libvirt-4.6.0/html/migration-managed-p2p.png
-#usr/share/doc/libvirt-4.6.0/html/migration-native.png
-#usr/share/doc/libvirt-4.6.0/html/migration-tunnel.png
-#usr/share/doc/libvirt-4.6.0/html/migration-unmanaged-direct.png
-#usr/share/doc/libvirt-4.6.0/html/migration.html
-#usr/share/doc/libvirt-4.6.0/html/mobile.css
-#usr/share/doc/libvirt-4.6.0/html/news-2005.html
-#usr/share/doc/libvirt-4.6.0/html/news-2006.html
-#usr/share/doc/libvirt-4.6.0/html/news-2007.html
-#usr/share/doc/libvirt-4.6.0/html/news-2008.html
-#usr/share/doc/libvirt-4.6.0/html/news-2009.html
-#usr/share/doc/libvirt-4.6.0/html/news-2010.html
-#usr/share/doc/libvirt-4.6.0/html/news-2011.html
-#usr/share/doc/libvirt-4.6.0/html/news-2012.html
-#usr/share/doc/libvirt-4.6.0/html/news-2013.html
-#usr/share/doc/libvirt-4.6.0/html/news-2014.html
-#usr/share/doc/libvirt-4.6.0/html/news-2015.html
-#usr/share/doc/libvirt-4.6.0/html/news-2016.html
-#usr/share/doc/libvirt-4.6.0/html/news.html
-#usr/share/doc/libvirt-4.6.0/html/node.gif
-#usr/share/doc/libvirt-4.6.0/html/nss.html
-#usr/share/doc/libvirt-4.6.0/html/pci-hotplug.html
-#usr/share/doc/libvirt-4.6.0/html/php.html
-#usr/share/doc/libvirt-4.6.0/html/platforms.html
-#usr/share/doc/libvirt-4.6.0/html/python.html
-#usr/share/doc/libvirt-4.6.0/html/remote.html
-#usr/share/doc/libvirt-4.6.0/html/secureusage.html
-#usr/share/doc/libvirt-4.6.0/html/securityprocess.html
-#usr/share/doc/libvirt-4.6.0/html/storage.html
-#usr/share/doc/libvirt-4.6.0/html/support.html
-#usr/share/doc/libvirt-4.6.0/html/testapi.html
-#usr/share/doc/libvirt-4.6.0/html/testsuites.html
-#usr/share/doc/libvirt-4.6.0/html/testtck.html
-#usr/share/doc/libvirt-4.6.0/html/todo.html
-#usr/share/doc/libvirt-4.6.0/html/uri.html
-#usr/share/doc/libvirt-4.6.0/html/virshcmdref.html
-#usr/share/doc/libvirt-4.6.0/html/windows.html
+#usr/share/doc/libvirt-4.10.0
+#usr/share/doc/libvirt-4.10.0/html
+#usr/share/doc/libvirt-4.10.0/html/32favicon.png
+#usr/share/doc/libvirt-4.10.0/html/404.html
+#usr/share/doc/libvirt-4.10.0/html/acl.html
+#usr/share/doc/libvirt-4.10.0/html/aclpolkit.html
+#usr/share/doc/libvirt-4.10.0/html/api.html
+#usr/share/doc/libvirt-4.10.0/html/api_extension.html
+#usr/share/doc/libvirt-4.10.0/html/apps.html
+#usr/share/doc/libvirt-4.10.0/html/architecture.gif
+#usr/share/doc/libvirt-4.10.0/html/architecture.html
+#usr/share/doc/libvirt-4.10.0/html/auditlog.html
+#usr/share/doc/libvirt-4.10.0/html/auth.html
+#usr/share/doc/libvirt-4.10.0/html/bindings.html
+#usr/share/doc/libvirt-4.10.0/html/bugs.html
+#usr/share/doc/libvirt-4.10.0/html/cgroups.html
+#usr/share/doc/libvirt-4.10.0/html/compiling.html
+#usr/share/doc/libvirt-4.10.0/html/contact.html
+#usr/share/doc/libvirt-4.10.0/html/contribute.html
+#usr/share/doc/libvirt-4.10.0/html/csharp.html
+#usr/share/doc/libvirt-4.10.0/html/dbus.html
+#usr/share/doc/libvirt-4.10.0/html/devguide.html
+#usr/share/doc/libvirt-4.10.0/html/docs.html
+#usr/share/doc/libvirt-4.10.0/html/downloads.html
+#usr/share/doc/libvirt-4.10.0/html/drivers.html
+#usr/share/doc/libvirt-4.10.0/html/drvbhyve.html
+#usr/share/doc/libvirt-4.10.0/html/drvesx.html
+#usr/share/doc/libvirt-4.10.0/html/drvhyperv.html
+#usr/share/doc/libvirt-4.10.0/html/drvlxc.html
+#usr/share/doc/libvirt-4.10.0/html/drvnodedev.html
+#usr/share/doc/libvirt-4.10.0/html/drvopenvz.html
+#usr/share/doc/libvirt-4.10.0/html/drvphyp.html
+#usr/share/doc/libvirt-4.10.0/html/drvqemu.html
+#usr/share/doc/libvirt-4.10.0/html/drvremote.html
+#usr/share/doc/libvirt-4.10.0/html/drvtest.html
+#usr/share/doc/libvirt-4.10.0/html/drvuml.html
+#usr/share/doc/libvirt-4.10.0/html/drvvbox.html
+#usr/share/doc/libvirt-4.10.0/html/drvvirtuozzo.html
+#usr/share/doc/libvirt-4.10.0/html/drvvmware.html
+#usr/share/doc/libvirt-4.10.0/html/drvxen.html
+#usr/share/doc/libvirt-4.10.0/html/errors.html
+#usr/share/doc/libvirt-4.10.0/html/firewall.html
+#usr/share/doc/libvirt-4.10.0/html/fonts
+#usr/share/doc/libvirt-4.10.0/html/fonts/LICENSE.md
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-bold-italic.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-bold.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-italic.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-light-italic.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-light.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-mono-bold.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-mono-light.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-mono-regular.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-mono-semibold.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/overpass-regular.woff
+#usr/share/doc/libvirt-4.10.0/html/fonts/stylesheet.css
+#usr/share/doc/libvirt-4.10.0/html/format.html
+#usr/share/doc/libvirt-4.10.0/html/formatcaps.html
+#usr/share/doc/libvirt-4.10.0/html/formatdomain.html
+#usr/share/doc/libvirt-4.10.0/html/formatdomaincaps.html
+#usr/share/doc/libvirt-4.10.0/html/formatnetwork.html
+#usr/share/doc/libvirt-4.10.0/html/formatnode.html
+#usr/share/doc/libvirt-4.10.0/html/formatnwfilter.html
+#usr/share/doc/libvirt-4.10.0/html/formatsecret.html
+#usr/share/doc/libvirt-4.10.0/html/formatsnapshot.html
+#usr/share/doc/libvirt-4.10.0/html/formatstorage.html
+#usr/share/doc/libvirt-4.10.0/html/formatstorageencryption.html
+#usr/share/doc/libvirt-4.10.0/html/generic.css
+#usr/share/doc/libvirt-4.10.0/html/goals.html
+#usr/share/doc/libvirt-4.10.0/html/governance.html
+#usr/share/doc/libvirt-4.10.0/html/hacking.html
+#usr/share/doc/libvirt-4.10.0/html/hooks.html
+#usr/share/doc/libvirt-4.10.0/html/html
+#usr/share/doc/libvirt-4.10.0/html/html/home.png
+#usr/share/doc/libvirt-4.10.0/html/html/index.html
+#usr/share/doc/libvirt-4.10.0/html/html/left.png
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-common.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-domain-snapshot.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-domain.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-event.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-host.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-interface.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-network.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-nodedev.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-nwfilter.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-secret.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-storage.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-libvirt-stream.html
+#usr/share/doc/libvirt-4.10.0/html/html/libvirt-virterror.html
+#usr/share/doc/libvirt-4.10.0/html/html/right.png
+#usr/share/doc/libvirt-4.10.0/html/html/up.png
+#usr/share/doc/libvirt-4.10.0/html/hvsupport.html
+#usr/share/doc/libvirt-4.10.0/html/index.html
+#usr/share/doc/libvirt-4.10.0/html/internals
+#usr/share/doc/libvirt-4.10.0/html/internals.html
+#usr/share/doc/libvirt-4.10.0/html/internals/command.html
+#usr/share/doc/libvirt-4.10.0/html/internals/eventloop.html
+#usr/share/doc/libvirt-4.10.0/html/internals/locking.html
+#usr/share/doc/libvirt-4.10.0/html/internals/oomtesting.html
+#usr/share/doc/libvirt-4.10.0/html/internals/rpc.html
+#usr/share/doc/libvirt-4.10.0/html/java.html
+#usr/share/doc/libvirt-4.10.0/html/libvirt-daemon-arch.png
+#usr/share/doc/libvirt-4.10.0/html/libvirt-driver-arch.png
+#usr/share/doc/libvirt-4.10.0/html/libvirt-object-model.png
+#usr/share/doc/libvirt-4.10.0/html/libvirt.css
+#usr/share/doc/libvirt-4.10.0/html/locking-lockd.html
+#usr/share/doc/libvirt-4.10.0/html/locking-sanlock.html
+#usr/share/doc/libvirt-4.10.0/html/locking.html
+#usr/share/doc/libvirt-4.10.0/html/logging.html
+#usr/share/doc/libvirt-4.10.0/html/logos
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-dark-256.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-dark-800.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-dark.svg
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-light-256.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-light-800.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-banner-light.svg
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-base.svg
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-128.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-192.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-256.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-96.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-powered-128.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-powered-192.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-powered-256.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-powered-96.png
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square-powered.svg
+#usr/share/doc/libvirt-4.10.0/html/logos/logo-square.svg
+#usr/share/doc/libvirt-4.10.0/html/main.css
+#usr/share/doc/libvirt-4.10.0/html/migration-managed-direct.png
+#usr/share/doc/libvirt-4.10.0/html/migration-managed-p2p.png
+#usr/share/doc/libvirt-4.10.0/html/migration-native.png
+#usr/share/doc/libvirt-4.10.0/html/migration-tunnel.png
+#usr/share/doc/libvirt-4.10.0/html/migration-unmanaged-direct.png
+#usr/share/doc/libvirt-4.10.0/html/migration.html
+#usr/share/doc/libvirt-4.10.0/html/mobile.css
+#usr/share/doc/libvirt-4.10.0/html/news-2005.html
+#usr/share/doc/libvirt-4.10.0/html/news-2006.html
+#usr/share/doc/libvirt-4.10.0/html/news-2007.html
+#usr/share/doc/libvirt-4.10.0/html/news-2008.html
+#usr/share/doc/libvirt-4.10.0/html/news-2009.html
+#usr/share/doc/libvirt-4.10.0/html/news-2010.html
+#usr/share/doc/libvirt-4.10.0/html/news-2011.html
+#usr/share/doc/libvirt-4.10.0/html/news-2012.html
+#usr/share/doc/libvirt-4.10.0/html/news-2013.html
+#usr/share/doc/libvirt-4.10.0/html/news-2014.html
+#usr/share/doc/libvirt-4.10.0/html/news-2015.html
+#usr/share/doc/libvirt-4.10.0/html/news-2016.html
+#usr/share/doc/libvirt-4.10.0/html/news.html
+#usr/share/doc/libvirt-4.10.0/html/node.gif
+#usr/share/doc/libvirt-4.10.0/html/nss.html
+#usr/share/doc/libvirt-4.10.0/html/pci-hotplug.html
+#usr/share/doc/libvirt-4.10.0/html/php.html
+#usr/share/doc/libvirt-4.10.0/html/platforms.html
+#usr/share/doc/libvirt-4.10.0/html/python.html
+#usr/share/doc/libvirt-4.10.0/html/remote.html
+#usr/share/doc/libvirt-4.10.0/html/secureusage.html
+#usr/share/doc/libvirt-4.10.0/html/securityprocess.html
+#usr/share/doc/libvirt-4.10.0/html/storage.html
+#usr/share/doc/libvirt-4.10.0/html/support.html
+#usr/share/doc/libvirt-4.10.0/html/testapi.html
+#usr/share/doc/libvirt-4.10.0/html/testsuites.html
+#usr/share/doc/libvirt-4.10.0/html/testtck.html
+#usr/share/doc/libvirt-4.10.0/html/todo.html
+#usr/share/doc/libvirt-4.10.0/html/uri.html
+#usr/share/doc/libvirt-4.10.0/html/virshcmdref.html
+#usr/share/doc/libvirt-4.10.0/html/windows.html
 #usr/share/gtk-doc/html/libvirt
 #usr/share/gtk-doc/html/libvirt/general.html
 #usr/share/gtk-doc/html/libvirt/home.png
@@ -301,7 +301,64 @@ usr/share/libvirt/api/libvirt-admin-api.xml
 usr/share/libvirt/api/libvirt-api.xml
 usr/share/libvirt/api/libvirt-lxc-api.xml
 usr/share/libvirt/api/libvirt-qemu-api.xml
-usr/share/libvirt/cpu_map.xml
+#usr/share/libvirt/cpu_map
+usr/share/libvirt/cpu_map/index.xml
+usr/share/libvirt/cpu_map/ppc64_POWER6.xml
+usr/share/libvirt/cpu_map/ppc64_POWER7.xml
+usr/share/libvirt/cpu_map/ppc64_POWER8.xml
+usr/share/libvirt/cpu_map/ppc64_POWER9.xml
+usr/share/libvirt/cpu_map/ppc64_POWERPC_e5500.xml
+usr/share/libvirt/cpu_map/ppc64_POWERPC_e6500.xml
+usr/share/libvirt/cpu_map/ppc64_vendors.xml
+usr/share/libvirt/cpu_map/x86_486.xml
+usr/share/libvirt/cpu_map/x86_Broadwell-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Broadwell-noTSX-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Broadwell-noTSX.xml
+usr/share/libvirt/cpu_map/x86_Broadwell.xml
+usr/share/libvirt/cpu_map/x86_Conroe.xml
+usr/share/libvirt/cpu_map/x86_EPYC-IBRS.xml
+usr/share/libvirt/cpu_map/x86_EPYC.xml
+usr/share/libvirt/cpu_map/x86_Haswell-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Haswell-noTSX-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Haswell-noTSX.xml
+usr/share/libvirt/cpu_map/x86_Haswell.xml
+usr/share/libvirt/cpu_map/x86_Icelake-Client.xml
+usr/share/libvirt/cpu_map/x86_Icelake-Server.xml
+usr/share/libvirt/cpu_map/x86_IvyBridge-IBRS.xml
+usr/share/libvirt/cpu_map/x86_IvyBridge.xml
+usr/share/libvirt/cpu_map/x86_Nehalem-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Nehalem.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G1.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G2.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G3.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G4.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G5.xml
+usr/share/libvirt/cpu_map/x86_Penryn.xml
+usr/share/libvirt/cpu_map/x86_SandyBridge-IBRS.xml
+usr/share/libvirt/cpu_map/x86_SandyBridge.xml
+usr/share/libvirt/cpu_map/x86_Skylake-Client-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Skylake-Client.xml
+usr/share/libvirt/cpu_map/x86_Skylake-Server-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Skylake-Server.xml
+usr/share/libvirt/cpu_map/x86_Westmere-IBRS.xml
+usr/share/libvirt/cpu_map/x86_Westmere.xml
+usr/share/libvirt/cpu_map/x86_athlon.xml
+usr/share/libvirt/cpu_map/x86_core2duo.xml
+usr/share/libvirt/cpu_map/x86_coreduo.xml
+usr/share/libvirt/cpu_map/x86_cpu64-rhel5.xml
+usr/share/libvirt/cpu_map/x86_cpu64-rhel6.xml
+usr/share/libvirt/cpu_map/x86_features.xml
+usr/share/libvirt/cpu_map/x86_kvm32.xml
+usr/share/libvirt/cpu_map/x86_kvm64.xml
+usr/share/libvirt/cpu_map/x86_n270.xml
+usr/share/libvirt/cpu_map/x86_pentium.xml
+usr/share/libvirt/cpu_map/x86_pentium2.xml
+usr/share/libvirt/cpu_map/x86_pentium3.xml
+usr/share/libvirt/cpu_map/x86_pentiumpro.xml
+usr/share/libvirt/cpu_map/x86_phenom.xml
+usr/share/libvirt/cpu_map/x86_qemu32.xml
+usr/share/libvirt/cpu_map/x86_qemu64.xml
+usr/share/libvirt/cpu_map/x86_vendors.xml
 #usr/share/libvirt/schemas
 usr/share/libvirt/schemas/basictypes.rng
 usr/share/libvirt/schemas/capability.rng
diff --git a/lfs/libvirt b/lfs/libvirt
index de25a3d..aba2f13 100644
--- a/lfs/libvirt
+++ b/lfs/libvirt
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 4.6.0
+VER        = 4.10.0
 
 THISAPP    = libvirt-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -45,7 +45,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 6ea17a8f004a4bcdfc4beaed91fcdddd
+$(DL_FILE)_MD5 = f85067e830bd89db08b7b7ffa75db6ef
 
 install : $(TARGET)
 check : $(patsubst %,$(DIR_CHK)/%,$(objects))