diff --git a/config/rootfiles/common/python3-setuptools b/config/rootfiles/common/python3-setuptools
new file mode 100644
index 0000000..ee78dcd
--- /dev/null
+++ b/config/rootfiles/common/python3-setuptools
@@ -0,0 +1,60 @@
+#usr/lib/python3.6/site-packages/pkg_resources/__pycache__/py31compat.cpython-36.pyc
+#usr/lib/python3.6/site-packages/pkg_resources/py31compat.py
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/PKG-INFO
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/SOURCES.txt
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/dependency_links.txt
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/entry_points.txt
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/requires.txt
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/top_level.txt
+#usr/lib/python3.6/site-packages/setuptools-40.6.3-py3.6.egg-info/zip-safe
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/_deprecation_warning.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/build_meta.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/config.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/dep_util.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/glibc.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/pep425tags.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/py33compat.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/py36compat.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/__pycache__/wheel.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_deprecation_warning.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor
+#usr/lib/python3.6/site-packages/setuptools/_vendor/__init__.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/__pycache__
+#usr/lib/python3.6/site-packages/setuptools/_vendor/__pycache__/__init__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/__pycache__/pyparsing.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/__pycache__/six.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__about__.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__init__.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/__about__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/__init__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/_compat.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/_structures.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/markers.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/requirements.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/specifiers.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/utils.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/__pycache__/version.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/_compat.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/_structures.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/markers.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/requirements.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/specifiers.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/utils.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/packaging/version.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/pyparsing.py
+#usr/lib/python3.6/site-packages/setuptools/_vendor/six.py
+#usr/lib/python3.6/site-packages/setuptools/build_meta.py
+#usr/lib/python3.6/site-packages/setuptools/command/__pycache__/build_clib.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/command/__pycache__/dist_info.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools/command/build_clib.py
+#usr/lib/python3.6/site-packages/setuptools/command/dist_info.py
+#usr/lib/python3.6/site-packages/setuptools/config.py
+#usr/lib/python3.6/site-packages/setuptools/dep_util.py
+#usr/lib/python3.6/site-packages/setuptools/glibc.py
+#usr/lib/python3.6/site-packages/setuptools/pep425tags.py
+#usr/lib/python3.6/site-packages/setuptools/py33compat.py
+#usr/lib/python3.6/site-packages/setuptools/py36compat.py
+#usr/lib/python3.6/site-packages/setuptools/wheel.py
diff --git a/lfs/python3-setuptools b/lfs/python3-setuptools
new file mode 100644
index 0000000..5791452
--- /dev/null
+++ b/lfs/python3-setuptools
@@ -0,0 +1,85 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 40.6.3
+
+THISAPP    = setuptools-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-setuptools
+PAK_VER    = 1
+
+DEPS       = "python3"
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 425b58efe131537abde25c1b5624527a
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && sed -e '/tag_build = .post/d' -e '/tag_date = 1/d' -i setup.cfg
+	cd $(DIR_APP) && python3 bootstrap.py
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 50f5be4..302346b 100755
--- a/make.sh
+++ b/make.sh
@@ -1500,6 +1500,7 @@ buildipfire() {
   lfsmake2 python-progressbar
   lfsmake2 python-xattr
   lfsmake2 ddns
+  lfsmake2 python3-setuptools
   lfsmake2 python3-six
   lfsmake2 python3-dateutil
   lfsmake2 python3-jmespath