diff --git a/config/rootfiles/packages/borgbackup b/config/rootfiles/packages/borgbackup
new file mode 100644
index 0000000..32aacc0
--- /dev/null
+++ b/config/rootfiles/packages/borgbackup
@@ -0,0 +1,109 @@
+usr/bin/borg
+usr/lib/python3.6/site-packages/borg
+usr/lib/python3.6/site-packages/borg/__init__.py
+usr/lib/python3.6/site-packages/borg/__main__.py
+usr/lib/python3.6/site-packages/borg/__pycache__
+usr/lib/python3.6/site-packages/borg/__pycache__/__init__.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/__main__.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/_version.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/archive.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/archiver.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/cache.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/fuse.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/helpers.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/key.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/keymanager.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/locking.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/logger.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/lrucache.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/platform.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/remote.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/repository.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/shellpattern.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/upgrader.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/__pycache__/xattr.cpython-36.pyc
+usr/lib/python3.6/site-packages/borg/_chunker.c
+usr/lib/python3.6/site-packages/borg/_hashindex.c
+usr/lib/python3.6/site-packages/borg/_version.py
+usr/lib/python3.6/site-packages/borg/archive.py
+usr/lib/python3.6/site-packages/borg/archiver.py
+usr/lib/python3.6/site-packages/borg/cache.py
+usr/lib/python3.6/site-packages/borg/chunker.c
+usr/lib/python3.6/site-packages/borg/chunker.cpython-36m-MACHINE-linux-gnu.so
+usr/lib/python3.6/site-packages/borg/chunker.pyx
+usr/lib/python3.6/site-packages/borg/compress.c
+usr/lib/python3.6/site-packages/borg/compress.cpython-36m-MACHINE-linux-gnu.so
+usr/lib/python3.6/site-packages/borg/compress.pyx
+usr/lib/python3.6/site-packages/borg/crypto.c
+usr/lib/python3.6/site-packages/borg/crypto.cpython-36m-MACHINE-linux-gnu.so
+usr/lib/python3.6/site-packages/borg/crypto.pyx
+usr/lib/python3.6/site-packages/borg/fuse.py
+usr/lib/python3.6/site-packages/borg/hashindex.c
+usr/lib/python3.6/site-packages/borg/hashindex.cpython-36m-MACHINE-linux-gnu.so
+usr/lib/python3.6/site-packages/borg/hashindex.pyx
+usr/lib/python3.6/site-packages/borg/helpers.py
+usr/lib/python3.6/site-packages/borg/key.py
+usr/lib/python3.6/site-packages/borg/keymanager.py
+usr/lib/python3.6/site-packages/borg/locking.py
+usr/lib/python3.6/site-packages/borg/logger.py
+usr/lib/python3.6/site-packages/borg/lrucache.py
+usr/lib/python3.6/site-packages/borg/paperkey.html
+usr/lib/python3.6/site-packages/borg/platform.py
+usr/lib/python3.6/site-packages/borg/platform_darwin.c
+usr/lib/python3.6/site-packages/borg/platform_darwin.pyx
+usr/lib/python3.6/site-packages/borg/platform_freebsd.c
+usr/lib/python3.6/site-packages/borg/platform_freebsd.pyx
+usr/lib/python3.6/site-packages/borg/platform_linux.c
+usr/lib/python3.6/site-packages/borg/platform_linux.cpython-36m-MACHINE-linux-gnu.so
+usr/lib/python3.6/site-packages/borg/platform_linux.pyx
+usr/lib/python3.6/site-packages/borg/remote.py
+usr/lib/python3.6/site-packages/borg/repository.py
+usr/lib/python3.6/site-packages/borg/shellpattern.py
+#usr/lib/python3.6/site-packages/borg/testsuite
+#usr/lib/python3.6/site-packages/borg/testsuite/__init__.py
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/__init__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/archive.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/archiver.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/benchmark.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/chunker.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/compress.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/crypto.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/hashindex.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/helpers.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/key.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/locking.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/logger.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/lrucache.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/platform.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/repository.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/shellpattern.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/upgrader.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/__pycache__/xattr.cpython-36.pyc
+#usr/lib/python3.6/site-packages/borg/testsuite/archive.py
+#usr/lib/python3.6/site-packages/borg/testsuite/archiver.py
+#usr/lib/python3.6/site-packages/borg/testsuite/attic.tar.gz
+#usr/lib/python3.6/site-packages/borg/testsuite/benchmark.py
+#usr/lib/python3.6/site-packages/borg/testsuite/chunker.py
+#usr/lib/python3.6/site-packages/borg/testsuite/compress.py
+#usr/lib/python3.6/site-packages/borg/testsuite/crypto.py
+#usr/lib/python3.6/site-packages/borg/testsuite/hashindex.py
+#usr/lib/python3.6/site-packages/borg/testsuite/helpers.py
+#usr/lib/python3.6/site-packages/borg/testsuite/key.py
+#usr/lib/python3.6/site-packages/borg/testsuite/locking.py
+#usr/lib/python3.6/site-packages/borg/testsuite/logger.py
+#usr/lib/python3.6/site-packages/borg/testsuite/lrucache.py
+#usr/lib/python3.6/site-packages/borg/testsuite/platform.py
+#usr/lib/python3.6/site-packages/borg/testsuite/repository.py
+#usr/lib/python3.6/site-packages/borg/testsuite/shellpattern.py
+#usr/lib/python3.6/site-packages/borg/testsuite/upgrader.py
+#usr/lib/python3.6/site-packages/borg/testsuite/xattr.py
+usr/lib/python3.6/site-packages/borg/upgrader.py
+usr/lib/python3.6/site-packages/borg/xattr.py
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/PKG-INFO
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/SOURCES.txt
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/dependency_links.txt
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/entry_points.txt
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/requires.txt
+usr/lib/python3.6/site-packages/borgbackup-1.0.12-py3.6.egg-info/top_level.txt
diff --git a/lfs/borgbackup b/lfs/borgbackup
new file mode 100644
index 0000000..a00a059
--- /dev/null
+++ b/lfs/borgbackup
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.0.12
+
+THISAPP    = borgbackup-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = borgbackup
+PAK_VER    = 1
+
+DEPS       = "python3 python3-llfuse python3-msgpack"
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 7bd9fa82a517d559d56a4e1ff5965bc8
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 68882fc..f96b74b 100755
--- a/make.sh
+++ b/make.sh
@@ -1587,6 +1587,7 @@ buildipfire() {
   lfsmake2 nss-myhostname
   lfsmake2 dehydrated
   lfsmake2 shairport-sync
+  lfsmake2 borgbackup
 }
 
 buildinstaller() {