diff --git a/config/rootfiles/common/python3-setuptools-scm b/config/rootfiles/common/python3-setuptools-scm
new file mode 100644
index 0000000..bcc3d1c
--- /dev/null
+++ b/config/rootfiles/common/python3-setuptools-scm
@@ -0,0 +1,37 @@
+#usr/lib/python3.6/site-packages/setuptools_scm
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/PKG-INFO
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/SOURCES.txt
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/dependency_links.txt
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/entry_points.txt
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/top_level.txt
+#usr/lib/python3.6/site-packages/setuptools_scm-3.2.0-py3.6.egg-info/zip-safe
+#usr/lib/python3.6/site-packages/setuptools_scm/__init__.py
+#usr/lib/python3.6/site-packages/setuptools_scm/__main__.py
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/__init__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/__main__.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/config.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/discover.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/file_finder.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/file_finder_git.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/file_finder_hg.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/git.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/hacks.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/hg.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/integration.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/utils.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/version.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/__pycache__/win_py31_compat.cpython-36.pyc
+#usr/lib/python3.6/site-packages/setuptools_scm/config.py
+#usr/lib/python3.6/site-packages/setuptools_scm/discover.py
+#usr/lib/python3.6/site-packages/setuptools_scm/file_finder.py
+#usr/lib/python3.6/site-packages/setuptools_scm/file_finder_git.py
+#usr/lib/python3.6/site-packages/setuptools_scm/file_finder_hg.py
+#usr/lib/python3.6/site-packages/setuptools_scm/git.py
+#usr/lib/python3.6/site-packages/setuptools_scm/hacks.py
+#usr/lib/python3.6/site-packages/setuptools_scm/hg.py
+#usr/lib/python3.6/site-packages/setuptools_scm/integration.py
+#usr/lib/python3.6/site-packages/setuptools_scm/utils.py
+#usr/lib/python3.6/site-packages/setuptools_scm/version.py
+#usr/lib/python3.6/site-packages/setuptools_scm/win_py31_compat.py
diff --git a/lfs/python3-setuptools-scm b/lfs/python3-setuptools-scm
new file mode 100644
index 0000000..41f653b
--- /dev/null
+++ b/lfs/python3-setuptools-scm
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 3.2.0
+
+THISAPP    = setuptools_scm-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = python3-setuptools-scm
+PAK_VER    = 1
+
+DEPS       = "python3"
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 178e4e7b14c163e0e77ae7ec6684cc0f
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
+	cd $(DIR_APP) && python3 setup.py build
+	cd $(DIR_APP) && python3 setup.py install --root=/
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 302346b..507cde6 100755
--- a/make.sh
+++ b/make.sh
@@ -1501,6 +1501,7 @@ buildipfire() {
   lfsmake2 python-xattr
   lfsmake2 ddns
   lfsmake2 python3-setuptools
+  lfsmake2 python3-setuptools-scm
   lfsmake2 python3-six
   lfsmake2 python3-dateutil
   lfsmake2 python3-jmespath